CRLException (Java SE 25 & JDK 25)
Description: declaration: module: java.base, package: java.security.cert, class: CRLException
Keywords: java.security.cert.CRLException class

# Class CRLException

java.lang.Object
java.lang.Throwable
java.lang.Exception
java.security.GeneralSecurityException
java.security.cert.CRLException

All Implemented Interfaces:
  `Serializable`

public class CRLException extends GeneralSecurityException
CRL (Certificate Revocation List) Exception.

Since:
  1.2
See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `CRLException()`
  Constructs a CRLException with no detail message.
  `CRLException(String message)`
  Constructs a CRLException with the specified detail message.
  `CRLException(String message, Throwable cause)`
  Creates a `CRLException` with the specified detail message and cause.
  `CRLException(Throwable cause)`
  Creates a `CRLException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).

- ## Method Summary

  ### Methods declared in class Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods declared in class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### CRLException

    public CRLException()
    Constructs a CRLException with no detail message. A detail message is a String that describes this particular exception.

  - ### CRLException

    public CRLException(String message)
    Constructs a CRLException with the specified detail message. A detail message is a String that describes this particular exception.
    Parameters:
      `message` - the detail message.

  - ### CRLException

    public CRLException(String message, Throwable cause)
    Creates a `CRLException` with the specified detail message and cause.
    Parameters:
      `message` - the detail message (which is saved for later retrieval by the `Throwable.getMessage()` method).
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      1.5

  - ### CRLException

    public CRLException(Throwable cause)
    Creates a `CRLException` with the specified cause and a detail message of `(cause==null ? null : cause.toString())` (which typically contains the class and detail message of `cause`).
    Parameters:
      `cause` - the cause (which is saved for later retrieval by the `Throwable.getCause()` method). (A `null` value is permitted, and indicates that the cause is nonexistent or unknown.)
    Since:
      1.5